View Issue Details

IDProjectCategoryView StatusLast Update
15528Bug reportsResponse browsingpublic2020-03-16 13:22
Reporterluberm Assigned Toc_schmitz  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.19.3 
Fixed in Version3.22.9 
Summary15528: Getting 500: internal server error when trying to view partial responses.
Description

LimeSurvey with Postgres 10 gives the following error upon trying to look at partial responses.

CDbCommand failed to execute the SQL statement: SQLSTATE[42883]: Undefined function: 7 ERROR: operator does not exist: integer ~~ unknown
LINE 1: ...ELECT COUNT(*) FROM "saved_control" "t" WHERE sid LIKE '%877...
^
HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.19.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgres 10
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3

Relationships

has duplicate 15869 closedc_schmitz PostgreSQL support is broken 

Activities

c_schmitz

c_schmitz

2020-03-11 14:09

administrator   ~56408

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29678

lime_release_bot

lime_release_bot

2020-03-16 13:22

administrator   ~56567

Fixed in Release 3.22.9+200317

Related Changesets

LimeSurvey: master 6c6741cc

2020-03-11 14:09:49

c_schmitz

Details Diff
Fixed issue 15528: Internal server error when trying to view partial responses using Postgres Affected Issues
15528
mod - application/models/SavedControl.php Diff File

Issue History

Date Modified Username Field Change
2019-11-04 15:25 luberm New Issue
2019-11-14 22:01 cdorin Assigned To => cdorin
2019-11-14 22:01 cdorin Status new => assigned
2020-03-11 14:09 c_schmitz Changeset attached => LimeSurvey master 6c6741cc
2020-03-11 14:09 c_schmitz Note Added: 56408
2020-03-11 14:09 c_schmitz Assigned To cdorin => c_schmitz
2020-03-11 14:09 c_schmitz Resolution open => fixed
2020-03-11 14:10 c_schmitz Status assigned => resolved
2020-03-11 14:10 c_schmitz Fixed in Version => 3.22.9
2020-03-13 18:36 c_schmitz Relationship added has duplicate 15869
2020-03-16 13:22 lime_release_bot Note Added: 56567
2020-03-16 13:22 lime_release_bot Status resolved => closed